---
title: List Pipeline Triggers
description: List Pipeline Triggers
product: general
token_estimate: 1950
---
# List Pipeline Triggers

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## List Pipeline Triggers

**GET** `/console/v1/release_pipeline_triggers`

Full URL: `https://statsigapi.net/console/v1/release_pipeline_triggers`

List Pipeline Triggers

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Query parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| releasePipelineID (query) | string | No | — | Filter by Release Pipeline ID |
| gateID (query) | string | No | — | Filter by Gate ID |
| dynamicConfigID (query) | string | No | — | Filter by Dynamic Config ID |
| status (query) | oneOf | No | — | Filter by Status Constraints: oneOf (string, string), oneOf[] |
| startDate (query) | string | No | 2024-01-01 | Filter by the start date of the date range of the trigger's creation date in UTC, inclusive |
| endDate (query) | string | No | 2024-01-01 | Filter by the end date of the date range of the trigger's creation date in UTC, inclusive (i.e. until the end of the day); defaults to today's date if not provided |
| limit (query) | integer | No | 10 | Results per page Constraints: string, number |
| page (query) | integer | No | 1 | Page number Constraints: string, number |

## Response (application/json)

**200** — List pipeline triggers success

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | object[] | Yes | — | — |
| data.id | string | Yes | — | Trigger ID |
| data.releasePipelineID | string | Yes | — | Release Pipeline ID |
| data.actions | object[] | Yes | — | Actions |
| data.actions.type | oneOf | Yes | — | Constraints: string, string |
| data.actions.timeMs | number | Yes | — | — |
| data.actions.phaseID | string | Yes | — | — |
| data.actions.actorID | string | No | — | — |
| data.actions.actorName | string | Yes | — | — |
| data.creatorID | string | Yes | — | Trigger Creator ID |
| data.createdTime | number | Yes | — | Trigger Creation Time Constraints: format: double |
| data.description | string | No | — | Optional description for this trigger |
| data.gateID | string | No | — | Gate ID |
| data.dynamicConfigID | string | No | — | Dynamic Config ID |
| data.lastModifierID | string | Yes | — | Last modifier ID |
| data.lastModifierName | string | Yes | — | Last modifier name |
| data.configSnapshotID | string | No | — | The snapshot of the config that this trigger is releasing |
| data.status | string | Yes | — | Pipeline status with this trigger |
| data.currentPhase | string | Yes | — | Current phase Constraints: nullable |
| data.currentPhaseID | string | Yes | — | Current phase ID Constraints: nullable |
| data.currentPhaseEndTime | number | Yes | — | Current phase end time Constraints: format: double, nullable |
| pagination | object | Yes | — | Pagination metadata for checking if there is next page for example. |
| pagination.itemsPerPage | number | Yes | — | Constraints: format: double |
| pagination.pageNumber | number | Yes | — | Constraints: format: double |
| pagination.nextPage | string | Yes | — | Constraints: nullable |
| pagination.previousPage | string | Yes | — | Constraints: nullable |
| pagination.totalItems | number | No | — | Constraints: format: double |
| pagination.all | string | No | — | — |

```json
{
  "data": [
    {
      "id": "trigger_1646560789123",
      "releasePipelineID": "pipeline_123456",
      "status": "IN_PROGRESS",
      "currentPhase": "Phase 1",
      "currentPhaseID": "phase_123456",
      "currentPhaseEndTime": 1646560799123,
      "actions": [
        {
          "type": "STARTED",
          "timeMs": 1646560789123,
          "phaseID": "phase_123456",
          "actorID": "user_123456",
          "actorName": "John Doe"
        }
      ],
      "creatorID": "user_123456",
      "createdTime": 1646560789123,
      "lastModifierID": "user_123456",
      "lastModifierName": "John Doe",
      "gateID": "gate_123456"
    },
    {
      "id": "trigger_1646560789124",
      "releasePipelineID": "pipeline_123456",
      "status": "COMPLETED",
      "currentPhase": "Phase 1",
      "currentPhaseID": "phase_123456",
      "currentPhaseEndTime": 1646560799124,
      "actions": [
        {
          "type": "STARTED",
          "timeMs": 1646560789123,
          "phaseID": "phase_123456",
          "actorID": "user_123456",
          "actorName": "John Doe"
        }
      ],
      "creatorID": "user_123456",
      "createdTime": 1646560789124,
      "lastModifierID": "user_654321",
      "lastModifierName": "Jane Doe",
      "dynamicConfigID": "dynamic_config_123456"
    }
  ],
  "pagination": {
    "itemsPerPage": 10,
    "pageNumber": 1,
    "nextPage": null,
    "previousPage": null,
    "totalItems": 2
  },
  "message": "Pipeline triggers listed correctly."
}
```

## Code samples

### cURL

```bash
curl -X GET "https://statsigapi.net/console/v1/release_pipeline_triggers?startDate=2024-01-01&endDate=2024-01-01&limit=10&page=1" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://statsigapi.net/console/v1/release_pipeline_triggers?startDate=2024-01-01&endDate=2024-01-01&limit=10&page=1",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/release_pipeline_triggers?startDate=2024-01-01&endDate=2024-01-01&limit=10&page=1", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/release_pipeline_triggers?startDate=2024-01-01&endDate=2024-01-01&limit=10&page=1");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://statsigapi.net/console/v1/release_pipeline_triggers?startDate=2024-01-01&endDate=2024-01-01&limit=10&page=1", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/release_pipeline_triggers?startDate=2024-01-01&endDate=2024-01-01&limit=10&page=1"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/release_pipeline_triggers?startDate=2024-01-01&endDate=2024-01-01&limit=10&page=1")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

